const int ledPin = 9;      // a változó, amivel a LED-et jelöljük 
// és a hozzárendelt kimenet értékét tároljuk

void setup()
{
  // megnyitjuk a soros portot,
  Serial.begin(9600);
  // beállítjuk az Arduino 9-es csatornáját kimenetnek.
  pinMode(ledPin, OUTPUT);
}

void loop() {
  //brightness változóban fogjuk tárolni a fényerő értékét
  byte brightness;  

  //nézzük meg, hogy kaptunk-e már adatot a számítógéptől
  if (Serial.available()) {
    //ha igen, legyen a brightness értéke, amit a soros portról beolvasunk
    brightness = Serial.read();
    // mivel ez az érték csak 0-255 között változhat, írhatjuk is a kimenetre
    analogWrite(ledPin, brightness);
  }
}


